<script setup>
import { ref, onMounted } from 'vue'
import { Carousel, Slide } from 'vue3-carousel'
import 'vue3-carousel/dist/carousel.css'
import api from '@/api/api'

const items = ref([])
const loading = ref(true)
onMounted(() => {
    try {
        api.get(`posts`).then(res => {
            items.value = res?.data?.data
            loading.value = false
        })
    } catch {
        loading.value = false
    }
})

const breakpoints = ref({
    0: {
        itemsToShow: 1.5,
    },
    500: {
        itemsToShow: 2.5,
    },
    960: {
        itemsToShow: 3.5,
    },
    1280: {
        itemsToShow: 3.5,
    },
})
const settings = ref({
    itemsToShow: 1,
})
</script>

<template>
    <div class="BlogBottomSection">
        <v-container>
            <div class="d-flex justify-space-between">
                <h2>آخرین مقالات</h2>
                <NuxtLink to="/blogs" class="text-blue-darken-2">
                    <small>مشاهده بیشتر</small>
                    <BootstrapIcon class="mt-1" name="arrow-left-short" />
                </NuxtLink>
            </div>
            <v-row v-if="loading">
                <BlogSkeletor></BlogSkeletor>
            </v-row>
            <Carousel v-else dir="rtl" v-bind="settings" :breakpoints="breakpoints">
                <Slide v-for="(item, i) in items" :key="i">
                    <BlogCard :marginClass="'mx-3 my-4'" :cardWidth="'400'" :item="item"></BlogCard>
                </Slide>
            </Carousel>
        </v-container>
    </div>
</template>

<style lang="scss">
.BlogBottomSection {
    padding-top: 50px;

    h2 {
        line-height: 37px;
        text-align: center;
        color: #3B5099;
        font-weight: 700;
    }

    .v-card-text {
        max-width: 100%;
        -webkit-line-clamp: 3;
        -webkit-box-orient: vertical;
        overflow: hidden;
        display: -webkit-box;
        direction: rtl;
    }

    .v-card-actions {
        background-color: #f8fafd;
        position: relative;

        &::before {
            content: "";
            display: block;
            width: 80%;
            position: absolute;
            top: 0;
            left: 50%;
            margin-left: -40%;
            height: 1px;
            background: radial-gradient(ellipse at center, #d1dbe7 0, rgba(255, 255, 255, 0) 75%);
        }
    }



    .carousel__item {
        padding: 0 12px;
        text-align: right;
    }

    @media only screen and (max-width: 360px) {
        & {
            padding: 35px 0;

        }
    }
}
</style>